Bug 806902 - Password are not saved with openconnect plugin
Password are not saved with openconnect plugin
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kde-plasma-networkmanagement (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 720326
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 09:23 EDT by Michael J Gruber
Modified: 2013-11-27 05:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 05:46:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J Gruber 2012-03-26 09:23:18 EDT
Description of problem:
The openconnect plugin does not (offer the option to) save the password for VPN connections.

Version-Release number of selected component (if applicable):
1:0.9.0-1.fc16

How reproducible:
Always

Steps to Reproduce:
1. Add VPN connection using the openconnect plugin.
2. Activate (enter password) and close the connection.
3. Activate the connection again.
  
Actual results:
On the second attempt, the user is asked for the password again.

Expected results:
The user gets asked to save the password in the wallet.

Additional info:
Other VPN plugins (such as vpnc) and other network connection types (such as WLAN/WiFi) offer to store the password in the wallet.

This may be an issue with the networkmanager or openconnect packages, rather than the plasma networkmanager applet - someone with an understanding of the interface between these will know.
Comment 1 Michael J Gruber 2012-03-26 09:24:29 EDT
Bug 720326 is the sibling bug for the gnome frontend to networkmanager.
Comment 2 Fedora End Of Life 2013-04-03 13:13:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Jan Grulich 2013-11-27 05:46:10 EST
As I know OpenConnect doesn't need password or at least I don't see any password property there. Anyway, if there is some issue in kde-plasma-networkmanagemt, there is nobody who is going to fix it, because upstream is basically dead and there is a new networkmangement applet (kde-plasma-nm).

Note You need to log in before you can comment on or make changes to this bug.